compile problem and package that i can't find in ubuntu

hi,
i’m really excited to jump from processing to Of, i read that super tutorial and all, but now that i’m trying to compile some of the examples to make sure i can create some cool things, i keep getting this one error

/usr/bin/ld: cannot find -lraw1394
collect2: ld returned 1 exit status
Process terminated with status 1 (0 minutes, 13 seconds)
1 errors, 17 warnings

google is resulting nothing about this so i’m coming here. i have a strange suspicion that this error is related to the fact that i do not have alsa-dev packages installed.

i am using Ubuntu gutsy and there is no such packages in the repo, nor in mediubuntu. can someone recommend a source for alsa-dev package? i hope that when i get it it’s gonna solve my compile error…

thanks.
PS:using code::blocks btw.

I think you need libraw1394 - it is for firewire video capture support
sudo apt-get install libraw1394

Theo

Hi Ramy

sure doing what theo tells will solve that problem, also take a look at the readme.txt file in the OF release or the install_codeblocks.sh in the scripts directory, there are some dependencies that must be installed using apt-get:

  
apt-get update  
  
apt-get install freeglut3-dev libasound2-dev libxmu-dev libxxf86vm-dev g++ libgl1-mesa-dev libglu1-mesa-dev libraw1394-dev  

btw the alsa dev package is libasound2-dev

wow guys, thanks so much for your help. i thought it was going to take much longer but you were really prompt about it

yeah i didn’t run the “get code blocks” script because i had just downloaded the nightly build. so i opened the script and copied the apt-get commands at the end.

lo and behold it all works now

thanks so much guys - i’m finally going to be able to do some neat stuff now